project-navigation
Personal tools

Author Topic: OSX installers  (Read 139325 times)

Offline blau

  • Cannon Fodder
  • **
  • Posts: 4
    • View Profile
Re: OSX installers
« Reply #240 on: August 11, 2014, 01:31:11 pm »
To devs: I'd happily build a release based on 2.5 branch, but I have no idea how can I fetch it from Github. If I can get help on this, I'll try to build and upload the stable branch too.

There is no 2.5 branch on GitHub. However, you could still use GitHub app to fetch 2.5 from the Git repo by adding a new repository and setting git://git.code.sf.net/p/ufoai/code as primary remote repository. This should let you switch to ufoai_2.5 branch after syncing.

Offline Naftali

  • Cannon Fodder
  • **
  • Posts: 6
    • View Profile
Re: OSX installers
« Reply #241 on: April 27, 2016, 04:16:23 pm »
I've been trying repeatedly to compile from source on my mac, and it keeps failing. Anybody done so successfully lately?
« Last Edit: April 27, 2016, 07:42:17 pm by Naftali »

Offline Naftali

  • Cannon Fodder
  • **
  • Posts: 6
    • View Profile
Re: OSX installers
« Reply #242 on: April 27, 2016, 07:45:22 pm »
I also tried to run the 2.0.6 dev binary that I downloaded from the link in the OP and it crashed on startup - when I ran it from the command line the last two lines of the result were "glsl shutdown\ Segmentation fault: 11".  Anybody have any insights?

Offline ashtiboy

  • Cannon Fodder
  • **
  • Posts: 9
    • View Profile
Re: OSX installers
« Reply #243 on: February 24, 2017, 11:57:54 pm »
hey guys i got a mac and i just tested the 2.6 mac dev universal build from 2014-06-03 and it works fine on my late 2015 27inch imac wich has like Mac OS X 10.12.1 wich is mac os sierra wich is like very new so all we need to do now is use the code from the 2.6 mac dev universal compile code as a baseline standerd for new 2.6 nightly builds for mac i can test them